| DocBook: The Definitive Guide 2.0.17 (Alpha)

# constraint

$Revision$

$Date$

constraint — A constraint in an EBNF production

## Synopsis

### Content Model

    constraint ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
linkend | IDREF | Required

## Description

This element is only available if you are using the EBNF Module.

A `Constraint` is a cross-reference to a description of a constraint that cannot be expressed in the grammar (generally logical rather than syntactic constraints).

### Parents

These elements contain constraint: `production`.

## Attributes

linkend

  FIXME:

## Examples

For examples, see `productionset`.

constant |  | constraintdef

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.